RUSTSEC-2024-0011: Vulnerability in snow

Rust Crates.io Security Advisory


History
Edit
JSON (OSV)

RUSTSEC-2024-0011

Unauthenticated Nonce Increment in snow


Reported
Issued

Package

snow
(crates.io)

Type

Vulnerability

Categories
Keywords

#noise

#nonce

#state

References
Patched
  • >=0.9.5

Description

There was a logic bug where unauthenticated payloads could still cause a nonce
increment in snow’s internal state. For an attacker with privileges to inject
packets into the channel over which the Noise session operates, this could
allow a denial-of-service attack which could prevent message delivery by
sending garbage data.

Note that this only affects those who are using the stateful TransportState,
not those using StatelessTransportState.

This has been patched in version 0.9.5, and all users are recommended to
update.

Advisory available under CC0-1.0
license.

READ MORE